﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;
using Nii.JSON;

namespace ExtAspNet.Examples
{
    public partial class ajax : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                LoadData();
            }
        }





        private void LoadData()
        {
            // 加载所有数据
            string content = ReadFile("~/ajax-properties.txt");
            Dictionary<string, JSONObject> allControls = new Dictionary<string, JSONObject>();
            List<string> publicControls = new List<string>();
            JSONArray ja = new JSONArray(content);
            foreach (JSONObject jo in ja.getArrayList())
            {
                if (jo.getBool("public"))
                {
                    publicControls.Add(jo.getString("name"));
                }
                allControls.Add(jo.getString("name"), jo);
            }
            publicControls.Sort();

            StringBuilder sb = new StringBuilder();
            sb.Append("<ul>");
            foreach (string name in publicControls)
            {
                sb.Append("<li>");
                sb.AppendFormat("{0}", name);

                // 计算控件name的所有AJAX属性
                List<string> ajaxProperties = new List<string>();

                string parentControlName = name;
                do
                {
                    JSONObject control = allControls[parentControlName];
                    foreach (string property in control.getJSONArray("ajax").getArrayList())
                    {
                        ajaxProperties.Add(property);
                    }
                    parentControlName = control.getString("parent");

                } while (!String.IsNullOrEmpty(parentControlName));

                ajaxProperties.Sort();

                sb.Append("<ul class=\"ajax\">");
                foreach (string property in ajaxProperties)
                {
                    sb.AppendFormat("<li>{0}</li>", property);
                }
                sb.Append("</ul>");


                sb.Append("</li>");
            }
            sb.Append("</ul>");

            litResult.Text = sb.ToString();
        }
    }
}
