﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace ExtAspNet.Examples.data
{
    public partial class dropdownlist_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                BindStringListToDDLBOX();
            }
        }

        #region MyClass

        public class MyClass
        {
            private string _id;

            public string Id
            {
                get { return _id; }
                set { _id = value; }
            }
            private string _name;

            public string Name
            {
                get { return _name; }
                set { _name = value; }
            }

            public MyClass(string id, string name)
            {
                _id = id;
                _name = name;
            }

            public override string ToString()
            {
                return String.Format("Name:{0}+Id:{1}", Name, Id);
            }
        }
        #endregion

        #region BindEnumrableToDDLBOX

        private void BindEnumrableToDDLBOX()
        {
            List<MyClass> myList = new List<MyClass>();
            myList.Add(new MyClass("1", "Name1"));
            myList.Add(new MyClass("2", "Name2"));
            myList.Add(new MyClass("3", "Name3"));
            myList.Add(new MyClass("4", "Name4"));

            DropDownList1.DataTextField = "Name";
            DropDownList1.DataValueField = "Id";
            DropDownList1.DataSource = myList;
            DropDownList1.DataBind();

        }
        #endregion

        #region BindStringListToDDLBOX

        private void BindStringListToDDLBOX()
        {
            List<string> myList = new List<string>();
            myList.Add("Text1");
            myList.Add("Text2");
            myList.Add("Text3");
            myList.Add("Text4");
            myList.Add("Text5");
            myList.Add("Text6");
            myList.Add("Test1");
            myList.Add("Test2");
            myList.Add("ABCD");
            myList.Add("EFG");
            myList.Add("True to add a resize handle to the bottom of the dropdown list");
            myList.Add("HIJK");

            DropDownList1.DataSource = myList;
            DropDownList1.DataBind();

            DropDownList2.DataSource = myList;
            DropDownList2.DataBind();
            DropDownList2.SelectedIndex = 3;


            ddlBox3.DataSource = myList;
            ddlBox3.DataBind();

            // 将选中“Text2”
            //ddlBox.SelectedValue = "Text2";

            // 将选中“Text4”
            //ddlBox.SelectedIndex = 3;
        }
        #endregion

        #region BindDataTableToDDLBOX

        private void BindDataTableToDDLBOX()
        {
            DataTable table = new DataTable();
            DataColumn column1 = new DataColumn("MyText", typeof(String));
            DataColumn column2 = new DataColumn("MyValue", typeof(String));
            table.Columns.Add(column1);
            table.Columns.Add(column2);

            DataRow row = table.NewRow();
            row[0] = "item1";
            row[1] = "1";
            table.Rows.Add(row);
            row = table.NewRow();

            row[0] = "item2";
            row[1] = "2";
            table.Rows.Add(row);

            row = table.NewRow();
            row[0] = "item3";
            row[1] = "3";
            table.Rows.Add(row);

            DropDownList1.DataTextField = "MyText";
            DropDownList1.DataValueField = "MyValue";
            DropDownList1.DataSource = table;
            DropDownList1.DataBind();
        }
        #endregion


        protected void Button1_Click(object sender, EventArgs e)
        {
            if (DropDownList1.SelectedItem != null)
            {
                Alert.Show(String.Format("Selected Text: {0}  Value: {1}", DropDownList1.SelectedItem.Text, DropDownList1.SelectedValue));
            }
        }

        protected void Button2_Click(object sender, EventArgs e)
        {
            Alert.Show(String.Format("The selected state of Text6 in DropDownList2: {0}", DropDownList2.Items.FindByText("Text6").Selected));
        }

        protected void ddlBox3_SelectedIndexChanged(object sender, EventArgs e)
        {
            Alert.Show(String.Format("Selected Text:{0} Value:{1}", ddlBox3.SelectedItem.Text, ddlBox3.SelectedValue));
        }

        protected void Button4_Click(object sender, EventArgs e)
        {
            DropDownList1.SelectedValue = "ABCD";
        }

        protected void Button5_Click(object sender, EventArgs e)
        {
            List<string> myList = new List<string>();
            myList.Add("Text1-AfterReBind");
            myList.Add("Text2-AfterReBind");
            myList.Add("Text3-AfterReBind");
            myList.Add("Text4-AfterReBind");
            myList.Add("Text5-AfterReBind");
            myList.Add("Text6-AfterReBind");
            myList.Add("Test1-AfterReBind");
            myList.Add("Test2-AfterReBind");
            myList.Add("ABCD");
            myList.Add("EFG-AfterReBind");
            myList.Add("True to add a resize handle to the bottom of the dropdown list-AfterReBind");
            myList.Add("HIJK-AfterReBind");

            DropDownList1.DataSource = myList;
            DropDownList1.DataBind();

            DropDownList1.SelectedIndex = 1;
        }

    }
}
