﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace ExtAspNet.Examples.data
{
    public partial class dropdownlist_simulate_tree_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                AutoBind();
            }
        }

        #region BindEnumrableToDDLBOX

        private bool BindToList1
        {
            get
            {
                object list1 = ViewState["BindDropDownList1"];
                return list1 == null ? true : (bool)list1;
            }
            set
            {
                ViewState["BindDropDownList1"] = value;
            }
        }


        private void AutoBind()
        {
            if (BindToList1)
            {
                BindEnumrableToDDLBOX2();

                BindToList1 = false;
            }
            else
            {
                BindEnumrableToDDLBOX();

                BindToList1 = true;
            }

            
        }

        private void BindEnumrableToDDLBOX()
        {
            List<MyClass> myList = new List<MyClass>();
            myList.Add(new MyClass("0", "jQuery", 0, false));
            myList.Add(new MyClass("1", "Core", 1, false));
            myList.Add(new MyClass("2", "Selectors", 1, false));
            myList.Add(new MyClass("3", "Basic Filters", 2, true));
            myList.Add(new MyClass("4", "Content Filters", 2, true));
            myList.Add(new MyClass("41", "Contains", 3, true));
            myList.Add(new MyClass("5", "Attribute Filters", 2, true));
            myList.Add(new MyClass("6", "Traversing", 1, true));
            myList.Add(new MyClass("7", "Filtering", 2, true));
            myList.Add(new MyClass("8", "Finding", 2, true));
            myList.Add(new MyClass("9", "Events", 1, false));
            myList.Add(new MyClass("10", "Page Load", 2, true));
            myList.Add(new MyClass("11", "Event Handling", 2, true));
            myList.Add(new MyClass("12", "Interaction Helpers", 2, true));
            myList.Add(new MyClass("13", "Ajax", 1, true));

            ddlBox.DataTextField = "Name";
            ddlBox.DataValueField = "Id";
            ddlBox.DataSimulateTreeLevelField = "Level";
            ddlBox.DataEnableSelectField = "EnableSelect";
            ddlBox.DataSource = myList;
            ddlBox.DataBind();

            ddlBox.SelectedValue = "3";
        }

        private void BindEnumrableToDDLBOX2()
        {
            List<MyClass> myList = new List<MyClass>();
            myList.Add(new MyClass("0", "jQuery - 2", 0, false));
            myList.Add(new MyClass("1", "Core - 2", 1, false));
            myList.Add(new MyClass("2", "Selectors - 2", 1, false));
            myList.Add(new MyClass("3", "Basic Filters - 2", 2, true));
            myList.Add(new MyClass("4", "Content Filters - 2", 2, true));
            myList.Add(new MyClass("41", "Contains - 2", 3, true));
            myList.Add(new MyClass("5", "Attribute Filters - 2", 2, true));
            myList.Add(new MyClass("6", "Traversing - 2", 1, true));
            myList.Add(new MyClass("7", "Filtering - 2", 2, true));
            myList.Add(new MyClass("8", "Finding - 2", 2, true));
            myList.Add(new MyClass("9", "Events - 2", 1, false));
            myList.Add(new MyClass("10", "Page Load - 2", 2, true));
            myList.Add(new MyClass("11", "Event Handling - 2", 2, true));
            myList.Add(new MyClass("12", "Interaction Helpers - 2", 2, true));
            myList.Add(new MyClass("13", "Ajax - 2", 1, true));

            ddlBox.DataTextField = "Name";
            ddlBox.DataValueField = "Id";
            ddlBox.DataSimulateTreeLevelField = "Level";
            ddlBox.DataEnableSelectField = "EnableSelect";
            ddlBox.DataSource = myList;
            ddlBox.DataBind();

            ddlBox.SelectedValue = "1";
        }
        #endregion

        #region MyClass

        public class MyClass
        {
            private string _id;

            public string Id
            {
                get { return _id; }
                set { _id = value; }
            }
            private string _name;

            public string Name
            {
                get { return _name; }
                set { _name = value; }
            }

            private int _level;

            public int Level
            {
                get { return _level; }
                set { _level = value; }
            }

            private bool _enableSelect;

            public bool EnableSelect
            {
                get { return _enableSelect; }
                set { _enableSelect = value; }
            }

            public MyClass(string id, string name, int level, bool enableSelect)
            {
                _id = id;
                _name = name;
                _level = level;
                _enableSelect = enableSelect;
            }

            public override string ToString()
            {
                return String.Format("Name:{0}+Id:{1}", Name, Id);
            }
        }
        #endregion


        protected void Button1_Click(object sender, EventArgs e)
        {
            if (ddlBox.SelectedItem != null)
            {
                Alert.Show(String.Format("Text: {0} <br />Value: {1}", ddlBox.SelectedText, ddlBox.SelectedValue));
            }
        }

        protected void Button2_Click(object sender, EventArgs e)
        {
            AutoBind();
        }

    }
}
