﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;

namespace ExtAspNet.Examples.data
{
    public partial class grid_complex_property_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {

                BindList();
            }
        }

        #region MyClass/UserInfo

        public class UserInfo
        {
            private string _userName;

            public string UserName
            {
                get { return _userName; }
                set { _userName = value; }
            }

            private string _userPassword;

            public string UserPassword
            {
                get { return _userPassword; }
                set { _userPassword = value; }
            }

            public UserInfo(string userName, string userPassword)
            {
                _userName = userName;
                _userPassword = userPassword;
            }
        }

        public class MyClass
        {
            private int _myValue;

            public int MyValue
            {
                get { return _myValue; }
                set { _myValue = value; }
            }
            private string _myText;

            public string MyText
            {
                get { return _myText; }
                set { _myText = value; }
            }

            private string _year;

            public string Year
            {
                get { return _year; }
                set { _year = value; }
            }

            private int _id;

            public int Id
            {
                get { return _id; }
                set { _id = value; }
            }

            private bool _myCheckBox;

            public bool MyCheckBox
            {
                get { return _myCheckBox; }
                set { _myCheckBox = value; }
            }

            private UserInfo _info;

            public UserInfo Info
            {
                get { return _info; }
                set { _info = value; }
            }

            public MyClass(int id, int myValue, string myText, string year, bool myCheckBox, UserInfo info)
            {
                _id = id;
                _myValue = myValue;
                _myText = myText;
                _year = year;
                _myCheckBox = myCheckBox;
                _info = info;
            }
        }

        #endregion

        #region BindList

        private void BindList()
        {
            List<MyClass> list = IniList();

            Grid1.DataSource = list;
            Grid1.DataBind();
        }


        private List<MyClass> IniList()
        {
            List<MyClass> list = new List<MyClass>();

            list.Add(new MyClass(101, 1, "item1", "2008", true, new UserInfo("Eric", "111111")));
            list.Add(new MyClass(102, 2, "item2", "2007", false, new UserInfo("Rita", "111111")));
            list.Add(new MyClass(103, 3, "item3, I am a great programmer.", "2006", false, new UserInfo("Colin", "111111")));
            list.Add(new MyClass(104, 4, "item4", "2005", true, new UserInfo("Rico", "111111")));
            list.Add(new MyClass(105, 5, "item5", "2004", true, new UserInfo("Flyer", "111111")));

            return list;
        }

        #endregion

        #region page method

        protected string GetMyValue(object value)
        {
            return (Convert.ToInt32(value) * 100).ToString();
        }

        #endregion

    }
}
