﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;

namespace ExtAspNet.Examples.data
{
    public partial class grid_database_paging_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {

                BindGrid_Page();

            }
        }

        #region BindGrid
        private void BindGrid_Page()
        {
            DataTable table = null;

            // 1.取得的都是当前页的数据
            if (Grid1.PageIndex % 2 == 0)
            {
                table = IniGrid_Page1();
            }
            else
            {
                table = IniGrid_Page2();
            }


            // 2.手工设置总的记录数
            Grid1.RecordCount = 5;


            // 3.绑定到Grid
            Grid1.DataSource = table;
            Grid1.DataBind();
        }

        private void BindGrid_Page2()
        {
            DataTable table = IniGrid_Page2();

            Grid1.DataSource = table;
            Grid1.DataBind();

        }

        /// <summary>
        /// 模拟取第一页的数据
        /// </summary>
        /// <returns></returns>
        private static DataTable IniGrid_Page1()
        {
            DataTable table = new DataTable();
            DataColumn column1 = new DataColumn("Id", typeof(int));
            DataColumn column2 = new DataColumn("MyText", typeof(String));
            DataColumn column3 = new DataColumn("MyValue", typeof(String));
            DataColumn column4 = new DataColumn("Year", typeof(String));
            DataColumn column5 = new DataColumn("MyCheckBox", typeof(bool));
            table.Columns.Add(column1);
            table.Columns.Add(column2);
            table.Columns.Add(column3);
            table.Columns.Add(column4);
            table.Columns.Add(column5);

            DataRow row = table.NewRow();
            row["Id"] = 101;
            row["MyText"] = "item1";
            row["MyValue"] = "1";
            row["Year"] = "2008";
            row["MyCheckBox"] = true;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 102;
            row["MyText"] = "item2";
            row["MyValue"] = "2";
            row["Year"] = "2007";
            row["MyCheckBox"] = true;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 103;
            row["MyText"] = "item3, I am a great programmer.";
            row["MyValue"] = "3";
            row["Year"] = "2006";
            row["MyCheckBox"] = false;
            table.Rows.Add(row);


            return table;
        }

        /// <summary>
        /// 模拟取第二页的数据
        /// </summary>
        /// <returns></returns>
        private static DataTable IniGrid_Page2()
        {
            DataTable table = new DataTable();
            DataColumn column1 = new DataColumn("Id", typeof(int));
            DataColumn column2 = new DataColumn("MyText", typeof(String));
            DataColumn column3 = new DataColumn("MyValue", typeof(String));
            DataColumn column4 = new DataColumn("Year", typeof(String));
            DataColumn column5 = new DataColumn("MyCheckBox", typeof(bool));
            table.Columns.Add(column1);
            table.Columns.Add(column2);
            table.Columns.Add(column3);
            table.Columns.Add(column4);
            table.Columns.Add(column5);

            DataRow row = table.NewRow();
            row = table.NewRow();
            row["Id"] = 104;
            row["MyText"] = "item4";
            row["MyValue"] = "4";
            row["Year"] = "2005";
            row["MyCheckBox"] = false;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 105;
            row["MyText"] = "item5";
            row["MyValue"] = "5";
            row["Year"] = "2004";
            row["MyCheckBox"] = true;
            table.Rows.Add(row);

            return table;
        }

        #endregion

        #region Button1_Click

        protected void Button1_Click(object sender, EventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            if (Grid1.SelectedRowIndexArray != null && Grid1.SelectedRowIndexArray.Length > 0)
            {
                sb.Append("<span style=\"font-weight:bold;\">Following lines were selected: </span>");
                for (int i = 0, count = Grid1.SelectedRowIndexArray.Length; i < count; i++)
                {
                    int rowIndex = Grid1.SelectedRowIndexArray[i];
                    sb.AppendFormat("<br/><span style=\"font-weight:bold;\">Line {0}: </span>", rowIndex + 1);

                    sb.Append("&nbsp;&nbsp;&nbsp;&nbsp;");
                    foreach (object key in Grid1.DataKeys[rowIndex])
                    {
                        sb.Append(key);
                        sb.Append("&nbsp;&nbsp;&nbsp;&nbsp;");
                    }
                }
            }
            else
            {
                sb.Append("<span style=\"font-weight:bold;\">No line was selected.</span>");
            }

            labResult.Text = sb.ToString();
        }
        #endregion

        #region page method

        protected string GetMyValue(object value)
        {
            return (Convert.ToInt32(value) * 100).ToString();
        }

        #endregion

        protected void Grid1_RowDataBound(object sender, ExtAspNet.GridRowEventArgs e)
        {
            // DataItem是行的数据源，
            // 如果数据源是DataTable/DataView/DataSet，则e.DataItem是DataRow
            // 如果数据源是List<MyClass>，则e.DataItem是MyClass

            // e.Values 是实际赋予此行每列的值，可以修改

            DataRow row = e.DataItem as DataRow;
            if (row != null)
            {
                e.Values[1] = String.Format("RowDataBound - {0}", row["MyValue"]);
            }
        }

        protected void Grid1_RowCommand(object sender, ExtAspNet.GridCommandEventArgs e)
        {
            if (e.CommandName == "Action1" || e.CommandName == "Action2")
            {
                Alert.Show(String.Format("You click line: {0}, CommandName: {1}", e.RowIndex + 1, e.CommandName));
            }
        }

        protected void Grid1_PageIndexChange(object sender, ExtAspNet.GridPageEventArgs e)
        {
            Grid1.PageIndex = e.NewPageIndex;

            BindGrid_Page();
        }


    }
}
