﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;

namespace ExtAspNet.Examples.data
{
    public partial class grid_simulate_tree_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                BindGrid();
            }
        }

        #region BindGrid
        private void BindGrid()
        {
            DataTable table = IniGrid();

            Grid1.DataSource = table;
            Grid1.DataBind();
        }

        private static DataTable IniGrid()
        {
            DataTable table = new DataTable();
            DataColumn column1 = new DataColumn("Id", typeof(int));
            DataColumn column2 = new DataColumn("MyText", typeof(String));
            DataColumn column3 = new DataColumn("MyValue", typeof(String));
            DataColumn column4 = new DataColumn("Year", typeof(String));
            DataColumn column5 = new DataColumn("MyCheckBox", typeof(bool));
            DataColumn column6 = new DataColumn("TreeLevel", typeof(int));
            table.Columns.Add(column1);
            table.Columns.Add(column2);
            table.Columns.Add(column3);
            table.Columns.Add(column4);
            table.Columns.Add(column5);
            table.Columns.Add(column6);

            DataRow row = table.NewRow();
            row["Id"] = 101;
            row["MyText"] = "item1";
            row["MyValue"] = "1";
            row["Year"] = "2008";
            row["MyCheckBox"] = true;
            row["TreeLevel"] = 0;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 102;
            row["MyText"] = "item2";
            row["MyValue"] = "2";
            row["Year"] = "2007";
            row["MyCheckBox"] = true;
            row["TreeLevel"] = 1;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 103;
            row["MyText"] = "item3, I am a great programmer.";
            row["MyValue"] = "3";
            row["Year"] = "2006";
            row["MyCheckBox"] = false;
            row["TreeLevel"] = 1;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 104;
            row["MyText"] = "item4";
            row["MyValue"] = "4";
            row["Year"] = "2005";
            row["MyCheckBox"] = false;
            row["TreeLevel"] = 2;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 105;
            row["MyText"] = "item5";
            row["MyValue"] = "5";
            row["Year"] = "2004";
            row["MyCheckBox"] = true;
            row["TreeLevel"] = 2;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 106;
            row["MyText"] = "item6";
            row["MyValue"] = "6";
            row["Year"] = "2003";
            row["MyCheckBox"] = true;
            row["TreeLevel"] = 1;
            table.Rows.Add(row);
            row = table.NewRow();

            row = table.NewRow();
            row["Id"] = 107;
            row["MyText"] = "item7";
            row["MyValue"] = "7";
            row["Year"] = "2002";
            row["MyCheckBox"] = true;
            row["TreeLevel"] = 0;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 108;
            row["MyText"] = "item8";
            row["MyValue"] = "8";
            row["Year"] = "2001";
            row["MyCheckBox"] = false;
            row["TreeLevel"] = 1;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 109;
            row["MyText"] = "item9";
            row["MyValue"] = "9";
            row["Year"] = "2000";
            row["MyCheckBox"] = true;
            row["TreeLevel"] = 1;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 110;
            row["MyText"] = "item10";
            row["MyValue"] = "10";
            row["Year"] = "1999";
            row["MyCheckBox"] = true;
            row["TreeLevel"] = 2;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 111;
            row["MyText"] = "item11";
            row["MyValue"] = "11";
            row["Year"] = "1998";
            row["MyCheckBox"] = true;
            row["TreeLevel"] = 2;
            table.Rows.Add(row);

            return table;
        }

        #endregion

        #region page method

        protected string GetMyValue(object value)
        {
            return (Convert.ToInt32(value) * 100).ToString();
        }

        #endregion

        #region Grid1_RowDataBound/Grid1_RowCommand

        protected void Grid1_RowDataBound(object sender, ExtAspNet.GridRowEventArgs e)
        {
            // DataItem是行的数据源，
            // 如果数据源是DataTable/DataView/DataSet，则e.DataItem是DataRow
            // 如果数据源是List<MyClass>，则e.DataItem是MyClass

            // e.Values 是实际赋予此行每列的值，可以修改

            DataRow row = e.DataItem as DataRow;
            if (row != null)
            {
                e.Values[1] = String.Format("RowDataBound - {0}", row["MyValue"]);
            }
        }

        protected void Grid1_RowCommand(object sender, ExtAspNet.GridCommandEventArgs e)
        {
            if (e.CommandName == "Action1" || e.CommandName == "Action2")
            {
                Alert.Show(String.Format("You click line: {0}, CommandName: {1}", e.RowIndex + 1, e.CommandName));
            }
        }
        #endregion


    }
}
