﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;

namespace ExtAspNet.Examples.data
{
    public partial class grid_sorting_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                BindGrid();
            }
        }

        #region BindGrid
        private void BindGrid()
        {
            // 首先设置哪一列排序，已经当前排序的方向
            Grid1.CurrentSortColumnIndex = 0;
            Grid1.Columns[0].SortDirection = "ASC";


            DataTable table = IniGrid();

            Grid1.DataSource = table;
            Grid1.DataBind();
        }

        private static DataTable IniGrid()
        {
            DataTable table = new DataTable();
            DataColumn column1 = new DataColumn("Id", typeof(int));
            DataColumn column2 = new DataColumn("MyText", typeof(String));
            DataColumn column3 = new DataColumn("MyValue", typeof(String));
            DataColumn column4 = new DataColumn("Year", typeof(String));
            DataColumn column5 = new DataColumn("MyCheckBox", typeof(bool));
            table.Columns.Add(column1);
            table.Columns.Add(column2);
            table.Columns.Add(column3);
            table.Columns.Add(column4);
            table.Columns.Add(column5);

            DataRow row = table.NewRow();
            row["Id"] = 101;
            row["MyText"] = "item1";
            row["MyValue"] = "1";
            row["Year"] = "2008";
            row["MyCheckBox"] = true;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 102;
            row["MyText"] = "item2";
            row["MyValue"] = "2";
            row["Year"] = "2007";
            row["MyCheckBox"] = true;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 103;
            row["MyText"] = "item3, I am a great programmer.";
            row["MyValue"] = "3";
            row["Year"] = "2006";
            row["MyCheckBox"] = false;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 104;
            row["MyText"] = "item4";
            row["MyValue"] = "4";
            row["Year"] = "2005";
            row["MyCheckBox"] = false;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = 105;
            row["MyText"] = "item5";
            row["MyValue"] = "5";
            row["Year"] = "2004";
            row["MyCheckBox"] = true;
            table.Rows.Add(row);

            return table;
        }

        #endregion

        #region Button1_Click

        protected void Button1_Click(object sender, EventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            if (Grid1.SelectedRowIndexArray != null && Grid1.SelectedRowIndexArray.Length > 0)
            {
                sb.Append("<span style=\"font-weight:bold;\">Following lines were selected: </span>");
                for (int i = 0, count = Grid1.SelectedRowIndexArray.Length; i < count; i++)
                {
                    int rowIndex = Grid1.SelectedRowIndexArray[i];
                    sb.AppendFormat("<br/><span style=\"font-weight:bold;\">Line {0}: </span>", rowIndex + 1);

                    sb.Append("&nbsp;&nbsp;&nbsp;&nbsp;");
                    foreach (object key in Grid1.DataKeys[rowIndex])
                    {
                        sb.Append(key);
                        sb.Append("&nbsp;&nbsp;&nbsp;&nbsp;");
                    }
                }
            }
            else
            {
                sb.Append("<span style=\"font-weight:bold;color:red;\">No line was selected.</span>");
            }

            labResult.Text = sb.ToString();
        }
        #endregion


        protected string GetMyValue(object value)
        {
            return (Convert.ToInt32(value) * 100).ToString();
        }

        protected void Grid1_Sort(object sender, ExtAspNet.GridSortEventArgs e)
        {
            DataTable table = IniGrid();

            DataView view1 = table.DefaultView;
            view1.Sort = String.Format("{0} {1}", e.SortField, e.SortDirection);

            // 可以通过下面方式取得当前排序表达式
            // Grid1.Columns[e.ColumnIndex].SortExpression;
            // Grid1.Columns[Grid1.CurrentSortColumnIndex].SortExpression

            Grid1.DataSource = view1;
            Grid1.DataBind();
        }


    }
}
