﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;

namespace ExtAspNet.Examples.data
{
    public partial class tree_bind_database_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                LoadData();
            }
        }

        private void LoadData()
        {
            DataTable table = CreateDataTable();

            DataSet ds = new DataSet();
            ds.Tables.Add(table);
            ds.Relations.Add("TreeRelation", ds.Tables[0].Columns["Id"], ds.Tables[0].Columns["ParentId"]);

            foreach (DataRow row in ds.Tables[0].Rows)
            {
                if (row.IsNull("ParentId"))
                {
                    ExtAspNet.TreeNode node = new ExtAspNet.TreeNode();
                    node.Text = row["MyText"].ToString();
                    node.Expanded = true;
                    node.Leaf = Convert.ToBoolean(row["IsLeaf"]);
                    Tree1.Nodes.Add(node);

                    ResolveSubTree(row, node);
                }
            }
        }

        private void ResolveSubTree(DataRow dataRow, ExtAspNet.TreeNode treeNode)
        {
            foreach (DataRow row in dataRow.GetChildRows("TreeRelation"))
            {
                ExtAspNet.TreeNode node = new ExtAspNet.TreeNode();
                node.Text = row["MyText"].ToString();
                node.Leaf = Convert.ToBoolean(row["IsLeaf"]);

                
                node.EnablePostBack = true;
                treeNode.Nodes.Add(node);

                //// 添加子节点必须在父节点已经添加到页面上之后进行，这应该是个BUG
                //for (int i = 0; i < 3; i++)
                //{
                //    ExtAspNet.TreeNode node_1 = new ExtAspNet.TreeNode();
                //    node_1.Text = "自定义" + i.ToString();
                //    node_1.Leaf = true;
                //    node_1.EnablePostBack = true;
                //    node.Nodes.Add(node_1);
                //}

              

                ResolveSubTree(row, node);
            }
        }

        private DataTable CreateDataTable()
        {
            DataTable table = new DataTable();
            DataColumn column1 = new DataColumn("Id", typeof(string));
            DataColumn column2 = new DataColumn("MyText", typeof(String));
            DataColumn column3 = new DataColumn("IsLeaf", typeof(Boolean));
            DataColumn column4 = new DataColumn("ParentId", typeof(string));
            table.Columns.Add(column1);
            table.Columns.Add(column2);
            table.Columns.Add(column3);
            table.Columns.Add(column4);

            DataRow row = table.NewRow();
            row["Id"] = "china";
            row["MyText"] = "China";
            row["IsLeaf"] = false;
            row["ParentId"] = DBNull.Value;
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = "henan";
            row["MyText"] = "Henan";
            row["IsLeaf"] = false;
            row["ParentId"] = "china";
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = "zhumadian";
            row["MyText"] = "Zhumadian";
            row["IsLeaf"] = true;
            row["ParentId"] = "henan";
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = "luohe";
            row["MyText"] = "Luohe";
            row["IsLeaf"] = true;
            row["ParentId"] = "henan";
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = "anhui";
            row["MyText"] = "Anhui";
            row["IsLeaf"] = false;
            row["ParentId"] = "china";
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = "hefei";
            row["MyText"] = "Hefei";
            row["IsLeaf"] = false;
            row["ParentId"] = "anhui";
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = "microsoft";
            row["MyText"] = "Hefei microsoft technology center";
            row["IsLeaf"] = true;
            row["ParentId"] = "hefei";
            table.Rows.Add(row);

            row = table.NewRow();
            row["Id"] = "ustc";
            row["MyText"] = "USTC";
            row["IsLeaf"] = true;
            row["ParentId"] = "hefei";
            table.Rows.Add(row);

            return table;
        }


    }
}
