﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;
using System.IO;
using System.Xml;

namespace ExtAspNet.Examples.data
{
    public partial class tree_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                LoadData();
            }
        }


        private void LoadData()
        {
            #region myTree2

            string xmlPath = Server.MapPath("~/data/website.xml");

            string xmlContent = String.Empty;
            using (StreamReader sr = new StreamReader(xmlPath))
            {
                xmlContent = sr.ReadToEnd();
            }

            XmlDocument xdoc = new XmlDocument();
            xdoc.LoadXml(xmlContent);

            myTree2.DataSource = xdoc;
            myTree2.DataBind();

            #endregion

            #region Tree3

            Tree3.DataSource = XmlDataSource1;
            Tree3.DataBind();

            #endregion

            #region Tree4

            Tree4.DataSource = XmlDataSource2;
            Tree4.DataBind();

            #endregion
        }

        protected void Tree1_NodeCommand(object sender, ExtAspNet.TreeCommandEventArgs e)
        {
            ExtAspNet.TreeNode node = Tree1.GetNodeById(e.NodeID);
            StringBuilder sb = new StringBuilder();
            sb.AppendFormat("You click {0}.", node.Text);
            if (node.EnableCheckBox)
            {
                sb.Append("<br /><br />");
                sb.AppendFormat("Checked: {0}", node.Checked);
            }
            ExtAspNet.Alert.Show(sb.ToString());

        }


        protected void Tree1_NodeCheck(object sender, ExtAspNet.TreeCheckEventArgs e)
        {
            ExtAspNet.Alert.Show(String.Format("You click checkbox {0} - {1}", e.NodeID, e.Checked.ToString().ToLower()));
        }


    }
}
