﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ExtAspNet.Examples.form
{
    public partial class radiobutton_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                BindRadioButtonList3();

                // 客户端取得RadioButtonList的选中值
                btnClientGetSelectedValue.OnClientClick = "var selectedValue = " + RadioButtonList2.GetValueReference() + ";" + 
                    " if(selectedValue) { box.util.alert(\"Selected value: \"+selectedValue);} else {box.util.alert(\"No item selected!\"); }";
            }
        }


        #region BindRadioButtonList3

        #region InnerClass

        public class InnerClass
        {
            private string _id;

            public string Id
            {
                get { return _id; }
                set { _id = value; }
            }
            private string _name;

            public string Name
            {
                get { return _name; }
                set { _name = value; }
            }

            public InnerClass(string id, string name)
            {
                _id = id;
                _name = name;
            }

            public override string ToString()
            {
                return String.Format("Name:{0},Id:{1}", Name, Id);
            }
        }
        #endregion

        private void BindRadioButtonList3()
        {
            List<InnerClass> myList = new List<InnerClass>();
            myList.Add(new InnerClass("1", "binding item 1"));
            myList.Add(new InnerClass("2", "binding item 2"));
            myList.Add(new InnerClass("3", "binding item 3"));
            myList.Add(new InnerClass("4", "binding item 4"));

            RadioButtonList3.DataTextField = "Name";
            RadioButtonList3.DataValueField = "Id";
            RadioButtonList3.DataSource = myList;
            RadioButtonList3.DataBind();

            RadioButtonList3.SelectedValue = "3";
        }
        #endregion


        /// <summary>
        /// 1. 取消选中rbtnSingleRadio
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSelectSingleRadio_Click(object sender, EventArgs e)
        {
            rbtnSingleRadio.Checked = !rbtnSingleRadio.Checked;
        }

        /// <summary>
        /// 2. 选中“模拟竖排单选框”的第二个单选框
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSelectSecondRadio_Click(object sender, EventArgs e)
        {
            rbtnSecond.Checked = true;
        }


        /// <summary>
        /// 3. 回发-选中RadioButtonList2的“数据一”
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSelectRadioButtonList2_Click(object sender, EventArgs e)
        {
            RadioButtonList2.SelectedValue = "value1";
        }

        /// <summary>
        /// 4. 回发-获取RadioButtonList2的选中值
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnGetRadioButtonList2SelectedValue_Click(object sender, EventArgs e)
        {
            if (RadioButtonList2.SelectedItem != null)
            {
                Alert.Show(String.Format("Selected value: {0}", RadioButtonList2.SelectedValue));
                //RadioButtonList2.Enabled = false;
            }
            else
            {
                Alert.Show(String.Format("No item selected!"));
            }
        }



        protected void rblAutoPostBack_SelectedIndexChanged(object sender, EventArgs e)
        {
            Alert.Show("Selected value: " + rblAutoPostBack.SelectedValue);
        }


    }
}
