﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ExtAspNet.Examples.form
{
    public partial class triggerbox_run : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Window1.OnClientCloseButtonClick = Window1.GetClosePostBackReference();
            }
        }

        /// <summary>
        /// 点击 TriggerBox 弹出窗口
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void tbxMyBox1_TriggerClick(object sender, EventArgs e)
        {
            Window1.Popup = true;
        }

        /// <summary>
        /// 关闭弹出窗口
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnCloseWindow_Click(object sender, EventArgs e)
        {
            Window1.Popup = false;

            tbxMyBox1.Text = "Popup window is closed.";
        }


        /// <summary>
        /// 点击TwinTriggerBox的取消按钮
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void ttbxMyBox2_Trigger1Click(object sender, EventArgs e)
        {
            // 执行清空动作
            Alert.Show(String.Format("Cancel search in {0}.", ttbxMyBox2.Text));

            ttbxMyBox2.Text = "";
            ttbxMyBox2.ShowTrigger1 = false;
        }

        /// <summary>
        /// 点击TwinTriggerBox的搜索按钮
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void ttbxMyBox2_Trigger2Click(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(ttbxMyBox2.Text))
            {
                // 执行搜索动作
                Alert.Show(String.Format("Search in {0}.", ttbxMyBox2.Text));

                ttbxMyBox2.ShowTrigger1 = true;
            }
            else
            {
                Alert.Show("Please input the keyword you want to search!");
            }
        }

    }
}
