﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

namespace ExtAspNet.Examples
{
    public partial class source : PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                string files = Request.QueryString["files"];

                if (!String.IsNullOrEmpty(files))
                {
                    string[] fileNames = files.Split('-');

                    for (int i = 0; i < fileNames.Length; i++)
                    {
                        string fileName = fileNames[i];
                        string iframeUrl = "./source_file.aspx?file=" + fileName;

                        TreeNode node = new TreeNode();
                        node.Text = GetShortFileName(fileName);
                        node.Leaf = true;
                        node.Target = "source";
                        node.NavigateUrl = iframeUrl;
                        node.IconUrl = "~/images/class.gif";

                        if (i == 0)
                        {
                            node.NodeId = "firstNode";
                            treeMenu.SelectedNodeID = "firstNode";

                            mainFrame.IFrameUrl = iframeUrl;
                        }

                        // 如果是 .aspx 结尾
                        if (fileName.ToLower().EndsWith(".aspx"))
                        {
                            node.IconUrl = "~/images/cmp.gif";
                            node.Leaf = false;
                            //if (i == 0)
                            //{
                            //    node.Expanded = true;
                            //}
                            node.Expanded = true;

                            TreeNode node2 = new TreeNode();
                            node2.Text = node.Text + ".cs";
                            node2.Leaf = true;
                            node2.Target = "source";
                            node2.NavigateUrl = iframeUrl + ".cs";
                            node2.IconUrl = "~/images/class.gif";
                            node.Nodes.Add(node2);

                            node2 = new TreeNode();
                            node2.Text = node.Text + ".designer.cs";
                            node2.Leaf = true;
                            node2.Target = "source";
                            node2.NavigateUrl = iframeUrl + ".designer.cs";
                            node2.IconUrl = "~/images/class.gif";
                            node.Nodes.Add(node2);
                        }


                        treeMenu.Nodes.Add(node);
                    }
                }
            }
        }


        private string GetShortFileName(string fileName)
        {
            int index = fileName.LastIndexOf("/");

            if (index >= 0)
            {
                return fileName.Substring(index + 1);
            }

            return fileName;
        }
    }
}
